<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Caută într-o anumită tabelă/coloană';
$back[1]='<a href="/admin-cautare">'.img('search.png',2).'Cautare</a>';
require'f_sus.php';
if(!in_array($de,$id_proprietari))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai privilegiul de a accesa această pagină, păstrează distanța!'.$div[0];
require'f_jos.php';
}
echo$div[4].img('search.png',2).'Caută într-o anumită tabelă/coloană'.$div[5];
$tabela=$_GET['tabela']??$_POST['tabela']??'';
$coloana=$_GET['coloana']??$_POST['coloana']??'';
if($pmtext!=''||$go!='')
{
$go=rawurldecode($go);
if($pmtext!='')
$go=$pmtext;
$sor=(isset($_POST['sor'])?$_POST['sor']:$_GET['sor']);
$x2='?tabela='.$tabela.'&amp;coloana='.$coloana.'&amp;sor='.$sor.'&amp;go='.rawurlencode($go);
if($sor==1)
$ord_fields=$coloana;
else
$ord_fields=$coloana.'DESC ';
$elemente=$conn->query('SELECT COUNT(*)FROM'.$tabela.'WHERE'.$coloana.'LIKE"%'.$go.'%"')->fetch_row()[0];
if($elemente>0)
{
echo'<table><tr>';
$coloane=$conn->query('SHOW COLUMNS FROM'.$tabela);
while($coloanna=$coloane->fetch_row())
{
echo'<th>'.($coloanna[0]==$coloana?'<span style="color:red">'.$coloanna[0].'</span>':$coloanna[0]).'</th>';
}
echo'</tr>';
require'f_paginare1.php';
$items=$conn->query('SELECT * FROM'.$tabela.'WHERE'.$coloana.'LIKE"%'.$go.'%"ORDER BY'.$ord_fields.'LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
echo'<tr>';
foreach($item AS$cheie=>$valoare)
{
echo'<td>'.$valoare.'</td>';
}
echo'</tr>';
}
echo'</table>';
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt rezultate în tabela '.$tabela.', coloana '.$coloana.'!'.$div[0];
require'f_jos.php';
}
echo$div[10].'Cu ajutorul acestui meniu se poate căuta direct în baza de date, completând o tabelă și o coloană în care să se facă căutarea.<br />Numele tabelei și coloanei trebuie înconjurate cu semnul &#34;`&#34;.'.$div[0];
$form[0]='/admin-cauta-in-tabela-coloana" method="post';
$form[1]=1;
require'f_scris3.php';
$form[2]=$div[1].'Tabelă:<br /><input name="tabela" />'.$div[0].$div[1].'Coloană:<br /><input name="coloana" />'.$div[0].$div[1].'Text:<br /><input name="pmtext" maxlength="77" />'.$div[0].$div[1].'Ordonare dupa:<br />'.scris3('sor','1,,Coloană (ascendent)::2,,Coloană (descendent)','1').$div[0];
$form[3]='tabela::coloana::pmtext::sor';
$form[4]='Cauta';
require'f_form.php';
require'f_jos.php';